import { PositionObserverCallback } from '../../types/global/IPositionObserver'
import { IResizeObserver } from '../../types/global/IResizeObserver'

export class NoopResizeObserver implements IResizeObserver {
  constructor(callback: PositionObserverCallback) {}

  public observe(element: HTMLElement): void {}

  disconnect() {}
}
